"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getThemeToken = void 0;
var getThemeToken = function (level, styleProperty, theme, mapper) {
    var _a, _b, _c, _d, _e;
    if (!mapper[level]) {
        console.error('LEVEL IN THEME MAPPER NOT FOUND');
        return '';
    }
    if (!((_a = mapper[level]) === null || _a === void 0 ? void 0 : _a[styleProperty])) {
        console.error('STYLE PROPERTY IN THEME MAPPER NOT FOUND');
        return '';
    }
    var themeKeys = (_c = (_b = mapper[level]) === null || _b === void 0 ? void 0 : _b[styleProperty]) !== null && _c !== void 0 ? _c : {
        key: 'base',
        token: 'token_100',
    };
    if (!((_d = theme.colors[themeKeys.key]) === null || _d === void 0 ? void 0 : _d[themeKeys.token])) {
        console.error('COLOR NOT FOUND IN THEME');
        return '';
    }
    return ((_e = theme.colors[themeKeys.key]) === null || _e === void 0 ? void 0 : _e[themeKeys.token]) || '';
};
exports.getThemeToken = getThemeToken;
//# sourceMappingURL=get-theme-token.js.map